List passkeys
curl --request GET \
--url https://api-sandbox.circle.com/v1/accounts/passkeys \
--header 'Authorization: Bearer <token>'import requests
url = "https://api-sandbox.circle.com/v1/accounts/passkeys"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api-sandbox.circle.com/v1/accounts/passkeys', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"passkeyId": "a1b2c3d4-e5f6-7890-ab12-cdef34567890",
"credentialId": "dGhpcyBpcyBhIGJhc2U2NHVybCBleGFtcGxl",
"createDate": "2026-09-24T12:00:00Z",
"revokedDate": "2026-09-24T13:00:00Z",
"updateDate": "2026-09-24T12:01:00Z",
"algorithm": -7,
"aaguid": "adce0002-35bc-c60a-648b-0b25f1f05503",
"attestationFormat": "packed",
"transports": [
"internal",
"hybrid"
],
"backupEligible": true,
"backupState": true,
"signCount": 0,
"rpId": "circle.com",
"paymentEligible": false
}
]
}{
"code": 2,
"message": "API parameter invalid."
}{
"code": 4,
"message": "Unauthorized."
}{
"code": -1,
"message": "Something went wrong. errId: 1f0b0c455e40f753f07b4f0ae6abd4b4"
}List passkeys
Returns all passkeys registered for an end user.
GET
/
v1
/
accounts
/
passkeys
List passkeys
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Identifier of the client entity. Filters results to fetch only resources associated with the specified client entity.
Example:
"a3f1b2c4-d5e6-7890-abcd-ef1234567890"
Response
Successfully retrieved a list of passkeys.
Show child attributes
Show child attributes
Was this page helpful?